Plesk\backup\Agent\Schema\Backup\RoleType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        isBuiltIn:
            expose: true
            access_type: public_method
            serialized_name: is-built-in
            accessor:
                getter: getIsBuiltIn
                setter: setIsBuiltIn
            xml_attribute: true
            type: string
        limitsAndPermissions:
            expose: true
            access_type: public_method
            serialized_name: limits-and-permissions
            xml_element:
                cdata: false
            accessor:
                getter: getLimitsAndPermissions
                setter: setLimitsAndPermissions
            type: Plesk\backup\Agent\Schema\Backup\RoleType\LimitsAndPermissionsAType
